

/*@

   Nplet_in_RealWrd - checks the world N-dimensional coordinates,
                      Nplet_world[], is within the local task grid
                      specified by the local task grid end-points,
                      task_Grid_endpts[].

  Unmodified Input Variables :
. Ndim - Dimensionality of the Grid (Integer)
. task_Grid_endpts - Integer Array, of size 2 x Ndim, of the two end-points'
                     coordinates of the LOCAL task grid.  It is implicitly
                     assumed to be declared as task_Grid_endpts[ 2 ][ Ndim ].
. Nplet_world - Integer Array, of size Ndim, of the global N-dimensional
                coordinates.

  Modified Output Variables :
. returned value - returns TRUE, 1, if Nplet_world[] is in the local grid.
                   returns FALSE, 0, otherwise.

.N RGX_yes_included

@*/

int Nplet_in_RealWrd(
                      int Ndim,
                      int task_Grid_endpts[],
                      int Nplet_world[]
                    )
{
   /*  Local Variables:  */
   int count;
   int ii;

   count = 0;
   for ( ii = 0; ii < Ndim; ii++ )
      if (   Nplet_world[ii] >= task_Grid_endpts[ii]
          && Nplet_world[ii] <= task_Grid_endpts[ii + Ndim] )
         count += 1;

   if ( count == Ndim )
      return 1;   /*  true  */
   else
      return 0;   /*  false  */
}
